TargetedNativeComponent (Gradle API 9.7.0)
Description: declaration: package: org.gradle.nativeplatform, interface: TargetedNativeComponent

# Interface TargetedNativeComponent

All Superinterfaces:
  `ComponentSpec, ModelElement, Named, NativeComponentSpec, PlatformAwareComponentSpec, VariantComponent, VariantComponentSpec`

All Known Subinterfaces:
  `NativeExecutableSpec, NativeLibrarySpec`

@Incubating @Deprecated public interface TargetedNativeComponent extends PlatformAwareComponentSpec, NativeComponentSpec
Deprecated.
The Gradle software model is deprecated and will be removed in Gradle 10. Use the new component model (e.g. `cpp-application`, `cpp-library`, `swift-application`, `swift-library`, `xctest`) instead.
A native component that can be configured to target certain variant dimensions. This functionality is a temporary workaround to eliminate configuration of unnecessary domain objects and tasks.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from interface Named

  `Named.Namer`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `targetBuildTypes(String... buildTypeSelectors)`
  Deprecated.
  Specifies the names of one or more `BuildType`s that this component should be built for.
  `void`
  `targetFlavors(String... flavorSelectors)`
  Deprecated.
  Specifies the names of one or more `Flavor`s that this component should be built for.

  ### Methods inherited from interface ComponentSpec

  `getProjectPath`

  ### Methods inherited from interface ModelElement

  `getDisplayName`

  ### Methods inherited from interface NativeComponentSpec

  `getBaseName, setBaseName`

  ### Methods inherited from interface PlatformAwareComponentSpec

  `targetPlatform`

  ### Methods inherited from interface VariantComponent

  `getName, getVariants`

  ### Methods inherited from interface VariantComponentSpec

  `getBinaries`

- ## Method Details

  - ### targetFlavors

    void targetFlavors(String... flavorSelectors)
    Deprecated.
    Specifies the names of one or more `Flavor`s that this component should be built for.

  - ### targetBuildTypes

    void targetBuildTypes(String... buildTypeSelectors)
    Deprecated.
    Specifies the names of one or more `BuildType`s that this component should be built for.